$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.31.75-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.31.75-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '9B7D762BCEA291B80943C57B914F2DFC50B30E4AD3DC48EC369C78AAFB29F5EB'
  checksumType = 'sha256'
  checksum64 = '9B7D762BCEA291B80943C57B914F2DFC50B30E4AD3DC48EC369C78AAFB29F5EB'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.31.75-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
